function [ fx ] = modulatedSineGenerator(x, sampleRate, frequence, mfrequence)
%modulatedSineGenerator Generator mosdulovanej siusoidy
%  Detailed explanation goes here

fx = sineGenerator(x, sampleRate, frequence) + sineGenerator(x, sampleRate, mfrequence);
fx = fx / 2;